package com.uas.account.entity;

public class UserView extends User {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 用户集名称
	 */
	private String spaceName;

	/**
	 * 企业域名
	 */
	private String spaceDomain;

	public String getSpaceName() {
		return spaceName;
	}

	public void setSpaceName(String spaceName) {
		this.spaceName = spaceName;
	}

	public String getSpaceDomain() {
		return spaceDomain;
	}

	public void setSpaceDomain(String spaceDomain) {
		this.spaceDomain = spaceDomain;
	}

    public UuzcUserDeatil covert() {
		UuzcUserDeatil detail = new UuzcUserDeatil();
		detail.setEmail(this.getSecondUID());
		detail.setMobile(this.getUid());
		detail.setPassword(this.getPassword());
		detail.setSalt(this.getSalt());
		detail.setUid(this.getDialectUID());
		detail.setUsername(this.getName());
		return detail;
	}

}
